# How to Contribute

## Getting Started

* Make sure you have a [Jira account](http://tickets.puppetlabs.com)
* Make sure you have a [GitHub account](https://github.com/signup/free)
* Submit a ticket for your issue, assuming one does not already exist.
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure you fill in the earliest version that you know has the issue.
* Fork the repository on GitHub

## Making Changes

### Feature
If you're adding new functionality or configuration, you're probably adding a feature. For each feature, please include an update to the README and tests for your feature.

### Bugfix
If you're fixing a bug without adding functionality, please review the tests and docs to see if any changes are necessary but they may not be.

## Submitting Changes
Once you've finished your change, push it up to your fork and open a PR against puppetlabs/beaker-task_helper. Someone from puppetlabs will then review and (hopefully) merge the PR for you.

### Commit Messages
Please make sure commit messages are meaningful and concise. They should include answers to questions like: Why was this change needed? How did I implement this change? Why did I do it the way I did?

# Additional Resources

* [Puppet Labs community guildelines](http://docs.puppetlabs.com/community/community_guidelines.html)
* [Bug tracker (Jira)](http://tickets.puppetlabs.com)
* [General GitHub documentation](http://help.github.com/)
* [GitHub pull request documentation](http://help.github.com/send-pull-requests/)
